//
//
// Simple, clear clock for elderly people
// Based on M5 RTC demo code
//
// This code just sets the RTC and stops.
// Load Run_Clear_Clock for normal operation.
//
#include <M5EPD.h>

M5EPD_Canvas canvasD(&M5.EPD);
M5EPD_Canvas canvasT(&M5.EPD);

rtc_time_t RTCtime;
rtc_date_t RTCDate;

char timeStrbuff[64];
char dayStrbuff[64];


void flushTime() {
    M5.RTC.getTime(&RTCtime);
    M5.RTC.getDate(&RTCDate);

    sprintf(dayStrbuff, "%d/%02d/%02d", RTCDate.year,
            RTCDate.mon, RTCDate.day);
    sprintf(timeStrbuff, "%02d:%02d", RTCtime.hour, RTCtime.min);

    canvasD.drawString(dayStrbuff, 0, 0);
    canvasT.drawString(timeStrbuff, 0, 0);
    canvasD.pushCanvas(100, 300, UPDATE_MODE_GL16);
    canvasT.pushCanvas(100, 100, UPDATE_MODE_GL16);
}

void setupTime() {
    RTCtime.hour = 15;
    RTCtime.min  = 06;
    RTCtime.sec  = 00;
    M5.RTC.setTime(&RTCtime);
    RTCDate.year = 2025;
    RTCDate.mon  = 02;
    RTCDate.day  = 03;
    M5.RTC.setDate(&RTCDate);
}

void setup() {
    M5.begin();
    M5.EPD.SetRotation(0);
    M5.EPD.Clear(true);
    M5.RTC.begin();
    canvasD.createCanvas(760,200);
    canvasD.setTextSize(10);
    canvasT.createCanvas(760,200);
    canvasT.setTextSize(10);
    setupTime();
}

void loop() {
    flushTime();
    delay(1000);
    }



